ImpalaQueriesResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class ImpalaQueriesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ImpalaQueriesResourceApi

-     public class ImpalaQueriesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImpalaQueriesResourceApi()`
    `ImpalaQueriesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiImpalaCancelResponse` | `cancelImpalaQuery(String clusterName, String queryId, String serviceName)` Cancels an Impala Query.
    `com.squareup.okhttp.Call` | `cancelImpalaQueryAsync(String clusterName, String queryId, String serviceName, ApiCallback<ApiImpalaCancelResponse> callback)` Cancels an Impala Query.
    `com.squareup.okhttp.Call` | `cancelImpalaQueryCall(String clusterName, String queryId, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for cancelImpalaQuery
    `ApiResponse<ApiImpalaCancelResponse>` | `cancelImpalaQueryWithHttpInfo(String clusterName, String queryId, String serviceName)` Cancels an Impala Query.
    `ApiClient` | `getApiClient()`
    `ApiImpalaQueryResponse` | `getImpalaQueries(String clusterName, String serviceName, String filter, String from, BigDecimal limit, BigDecimal offset, String to)` Returns a list of queries that satisfy the filter.
    `com.squareup.okhttp.Call` | `getImpalaQueriesAsync(String clusterName, String serviceName, String filter, String from, BigDecimal limit, BigDecimal offset, String to, ApiCallback<ApiImpalaQueryResponse> callback)` Returns a list of queries that satisfy the filter.
    `com.squareup.okhttp.Call` | `getImpalaQueriesCall(String clusterName, String serviceName, String filter, String from, BigDecimal limit, BigDecimal offset, String to, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getImpalaQueries
    `ApiResponse<ApiImpalaQueryResponse>` | `getImpalaQueriesWithHttpInfo(String clusterName, String serviceName, String filter, String from, BigDecimal limit, BigDecimal offset, String to)` Returns a list of queries that satisfy the filter.
    `ApiImpalaQueryAttributeList` | `getImpalaQueryAttributes(String clusterName, String serviceName)` Returns the list of all attributes that the Service Monitor can associate with Impala queries.
    `com.squareup.okhttp.Call` | `getImpalaQueryAttributesAsync(String clusterName, String serviceName, ApiCallback<ApiImpalaQueryAttributeList> callback)` Returns the list of all attributes that the Service Monitor can associate with Impala queries.
    `com.squareup.okhttp.Call` | `getImpalaQueryAttributesCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getImpalaQueryAttributes
    `ApiResponse<ApiImpalaQueryAttributeList>` | `getImpalaQueryAttributesWithHttpInfo(String clusterName, String serviceName)` Returns the list of all attributes that the Service Monitor can associate with Impala queries.
    `ApiImpalaQueryDetailsResponse` | `getQueryDetails(String clusterName, String queryId, String serviceName, String format)` Returns details about the query.
    `com.squareup.okhttp.Call` | `getQueryDetailsAsync(String clusterName, String queryId, String serviceName, String format, ApiCallback<ApiImpalaQueryDetailsResponse> callback)` Returns details about the query.
    `com.squareup.okhttp.Call` | `getQueryDetailsCall(String clusterName, String queryId, String serviceName, String format, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getQueryDetails
    `ApiResponse<ApiImpalaQueryDetailsResponse>` | `getQueryDetailsWithHttpInfo(String clusterName, String queryId, String serviceName, String format)` Returns details about the query.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImpalaQueriesResourceApi

          public ImpalaQueriesResourceApi()

    - #### ImpalaQueriesResourceApi

          public ImpalaQueriesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### cancelImpalaQueryCall

          public com.squareup.okhttp.Call cancelImpalaQueryCall(String clusterName,
                                                                String queryId,
                                                                String serviceName,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for cancelImpalaQuery
      Parameters:
        `clusterName` - (required)
        `queryId` - The queryId to cancel (required)
        `serviceName` - The name of the service (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### cancelImpalaQuery

          public ApiImpalaCancelResponse cancelImpalaQuery(String clusterName,
                                                           String queryId,
                                                           String serviceName)
                                                    throws ApiException

      Cancels an Impala Query. Cancels an Impala Query. <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `queryId` - The queryId to cancel (required)
        `serviceName` - The name of the service (required)
      Returns:
        ApiImpalaCancelResponse
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### cancelImpalaQueryWithHttpInfo

          public ApiResponse<ApiImpalaCancelResponse> cancelImpalaQueryWithHttpInfo(String clusterName,
                                                                                    String queryId,
                                                                                    String serviceName)
                                                                             throws ApiException

      Cancels an Impala Query. Cancels an Impala Query. <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `queryId` - The queryId to cancel (required)
        `serviceName` - The name of the service (required)
      Returns:
        ApiResponse<ApiImpalaCancelResponse>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### cancelImpalaQueryAsync

          public com.squareup.okhttp.Call cancelImpalaQueryAsync(String clusterName,
                                                                 String queryId,
                                                                 String serviceName,
                                                                 ApiCallback<ApiImpalaCancelResponse> callback)
                                                          throws ApiException

      Cancels an Impala Query. (asynchronously) Cancels an Impala Query. <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `queryId` - The queryId to cancel (required)
        `serviceName` - The name of the service (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getImpalaQueriesCall

          public com.squareup.okhttp.Call getImpalaQueriesCall(String clusterName,
                                                               String serviceName,
                                                               String filter,
                                                               String from,
                                                               BigDecimal limit,
                                                               BigDecimal offset,
                                                               String to,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for getImpalaQueries
      Parameters:
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `filter` - A filter to apply to the queries. A basic filter tests the value of an attribute and looks something like 'rowsFetched = 1' or 'user = root'. Multiple basic filters can be combined into a complex expression using standard and / or boolean logic and parenthesis. An example of a complex filter is: 'query_duration > 5s and (user = root or user = myUserName)'. An example of expected full query string in requested URL is: '?filter=(query_duration > 5s and (user = root or user = myUserName))'. (optional, default to )
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the 'to' time). (optional)
        `limit` - The maximum number of queries to return. Queries will be returned in the following order: <ul> <li> All executing queries, ordered from longest to shortest running </li> <li> All completed queries order by end time descending. </li> </ul> (optional, default to 100)
        `offset` - The offset to start returning queries from. This is useful for paging through lists of queries. Note that this has non-deterministic behavior if executing queries are included in the response because they can disappear from the list while paging. To exclude executing queries from the response and a 'executing = false' clause to your filter. (optional, default to 0)
        `to` - End of the period to query in ISO 8601 format (defaults to current time). (optional, default to now)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getImpalaQueries

          public ApiImpalaQueryResponse getImpalaQueries(String clusterName,
                                                         String serviceName,
                                                         String filter,
                                                         String from,
                                                         BigDecimal limit,
                                                         BigDecimal offset,
                                                         String to)
                                                  throws ApiException

      Returns a list of queries that satisfy the filter. Returns a list of queries that satisfy the filter <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `filter` - A filter to apply to the queries. A basic filter tests the value of an attribute and looks something like 'rowsFetched = 1' or 'user = root'. Multiple basic filters can be combined into a complex expression using standard and / or boolean logic and parenthesis. An example of a complex filter is: 'query_duration > 5s and (user = root or user = myUserName)'. An example of expected full query string in requested URL is: '?filter=(query_duration > 5s and (user = root or user = myUserName))'. (optional, default to )
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the 'to' time). (optional)
        `limit` - The maximum number of queries to return. Queries will be returned in the following order: <ul> <li> All executing queries, ordered from longest to shortest running </li> <li> All completed queries order by end time descending. </li> </ul> (optional, default to 100)
        `offset` - The offset to start returning queries from. This is useful for paging through lists of queries. Note that this has non-deterministic behavior if executing queries are included in the response because they can disappear from the list while paging. To exclude executing queries from the response and a 'executing = false' clause to your filter. (optional, default to 0)
        `to` - End of the period to query in ISO 8601 format (defaults to current time). (optional, default to now)
      Returns:
        ApiImpalaQueryResponse
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getImpalaQueriesWithHttpInfo

          public ApiResponse<ApiImpalaQueryResponse> getImpalaQueriesWithHttpInfo(String clusterName,
                                                                                  String serviceName,
                                                                                  String filter,
                                                                                  String from,
                                                                                  BigDecimal limit,
                                                                                  BigDecimal offset,
                                                                                  String to)
                                                                           throws ApiException

      Returns a list of queries that satisfy the filter. Returns a list of queries that satisfy the filter <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `filter` - A filter to apply to the queries. A basic filter tests the value of an attribute and looks something like 'rowsFetched = 1' or 'user = root'. Multiple basic filters can be combined into a complex expression using standard and / or boolean logic and parenthesis. An example of a complex filter is: 'query_duration > 5s and (user = root or user = myUserName)'. An example of expected full query string in requested URL is: '?filter=(query_duration > 5s and (user = root or user = myUserName))'. (optional, default to )
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the 'to' time). (optional)
        `limit` - The maximum number of queries to return. Queries will be returned in the following order: <ul> <li> All executing queries, ordered from longest to shortest running </li> <li> All completed queries order by end time descending. </li> </ul> (optional, default to 100)
        `offset` - The offset to start returning queries from. This is useful for paging through lists of queries. Note that this has non-deterministic behavior if executing queries are included in the response because they can disappear from the list while paging. To exclude executing queries from the response and a 'executing = false' clause to your filter. (optional, default to 0)
        `to` - End of the period to query in ISO 8601 format (defaults to current time). (optional, default to now)
      Returns:
        ApiResponse<ApiImpalaQueryResponse>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getImpalaQueriesAsync

          public com.squareup.okhttp.Call getImpalaQueriesAsync(String clusterName,
                                                                String serviceName,
                                                                String filter,
                                                                String from,
                                                                BigDecimal limit,
                                                                BigDecimal offset,
                                                                String to,
                                                                ApiCallback<ApiImpalaQueryResponse> callback)
                                                         throws ApiException

      Returns a list of queries that satisfy the filter. (asynchronously) Returns a list of queries that satisfy the filter <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `serviceName` - The name of the service (required)
        `filter` - A filter to apply to the queries. A basic filter tests the value of an attribute and looks something like 'rowsFetched = 1' or 'user = root'. Multiple basic filters can be combined into a complex expression using standard and / or boolean logic and parenthesis. An example of a complex filter is: 'query_duration > 5s and (user = root or user = myUserName)'. An example of expected full query string in requested URL is: '?filter=(query_duration > 5s and (user = root or user = myUserName))'. (optional, default to )
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the 'to' time). (optional)
        `limit` - The maximum number of queries to return. Queries will be returned in the following order: <ul> <li> All executing queries, ordered from longest to shortest running </li> <li> All completed queries order by end time descending. </li> </ul> (optional, default to 100)
        `offset` - The offset to start returning queries from. This is useful for paging through lists of queries. Note that this has non-deterministic behavior if executing queries are included in the response because they can disappear from the list while paging. To exclude executing queries from the response and a 'executing = false' clause to your filter. (optional, default to 0)
        `to` - End of the period to query in ISO 8601 format (defaults to current time). (optional, default to now)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getImpalaQueryAttributesCall

          public com.squareup.okhttp.Call getImpalaQueryAttributesCall(String clusterName,
                                                                       String serviceName,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for getImpalaQueryAttributes
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getImpalaQueryAttributes

          public ApiImpalaQueryAttributeList getImpalaQueryAttributes(String clusterName,
                                                                      String serviceName)
                                                               throws ApiException

      Returns the list of all attributes that the Service Monitor can associate with Impala queries. Returns the list of all attributes that the Service Monitor can associate with Impala queries. <p> Examples of attributes include the user who issued the query and the number of HDFS bytes read by the query. <p> These attributes can be used to search for specific Impala queries through the getImpalaQueries API. For example the 'user' attribute could be used in the search 'user = root'. If the attribute is numeric it can also be used as a metric in a tsquery (ie, 'select hdfs_bytes_read from IMPALA_QUERIES'). <p> Note that this response is identical for all Impala services. <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
      Returns:
        ApiImpalaQueryAttributeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getImpalaQueryAttributesWithHttpInfo

          public ApiResponse<ApiImpalaQueryAttributeList> getImpalaQueryAttributesWithHttpInfo(String clusterName,
                                                                                               String serviceName)
                                                                                        throws ApiException

      Returns the list of all attributes that the Service Monitor can associate with Impala queries. Returns the list of all attributes that the Service Monitor can associate with Impala queries. <p> Examples of attributes include the user who issued the query and the number of HDFS bytes read by the query. <p> These attributes can be used to search for specific Impala queries through the getImpalaQueries API. For example the 'user' attribute could be used in the search 'user = root'. If the attribute is numeric it can also be used as a metric in a tsquery (ie, 'select hdfs_bytes_read from IMPALA_QUERIES'). <p> Note that this response is identical for all Impala services. <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiImpalaQueryAttributeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getImpalaQueryAttributesAsync

          public com.squareup.okhttp.Call getImpalaQueryAttributesAsync(String clusterName,
                                                                        String serviceName,
                                                                        ApiCallback<ApiImpalaQueryAttributeList> callback)
                                                                 throws ApiException

      Returns the list of all attributes that the Service Monitor can associate with Impala queries. (asynchronously) Returns the list of all attributes that the Service Monitor can associate with Impala queries. <p> Examples of attributes include the user who issued the query and the number of HDFS bytes read by the query. <p> These attributes can be used to search for specific Impala queries through the getImpalaQueries API. For example the 'user' attribute could be used in the search 'user = root'. If the attribute is numeric it can also be used as a metric in a tsquery (ie, 'select hdfs_bytes_read from IMPALA_QUERIES'). <p> Note that this response is identical for all Impala services. <p> Available since API v6.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getQueryDetailsCall

          public com.squareup.okhttp.Call getQueryDetailsCall(String clusterName,
                                                              String queryId,
                                                              String serviceName,
                                                              String format,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for getQueryDetails
      Parameters:
        `clusterName` - (required)
        `queryId` - The queryId to get information about (required)
        `serviceName` - (required)
        `format` - There are two valid format parameters: <ul> <li> 'text': this is a text based, human readable representation of the Impala runtime profile. </li> <li> 'thrift_encoded': this a compact-thrift, base64 encoded representation of the Impala RuntimeProfile.thrift object. See the Impala documentation for more details. </li> </ul> (optional, default to text)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getQueryDetails

          public ApiImpalaQueryDetailsResponse getQueryDetails(String clusterName,
                                                               String queryId,
                                                               String serviceName,
                                                               String format)
                                                        throws ApiException

      Returns details about the query. Returns details about the query. Not all queries have details, check the detailsAvailable field from the getQueries response. <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `queryId` - The queryId to get information about (required)
        `serviceName` - (required)
        `format` - There are two valid format parameters: <ul> <li> 'text': this is a text based, human readable representation of the Impala runtime profile. </li> <li> 'thrift_encoded': this a compact-thrift, base64 encoded representation of the Impala RuntimeProfile.thrift object. See the Impala documentation for more details. </li> </ul> (optional, default to text)
      Returns:
        ApiImpalaQueryDetailsResponse
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getQueryDetailsWithHttpInfo

          public ApiResponse<ApiImpalaQueryDetailsResponse> getQueryDetailsWithHttpInfo(String clusterName,
                                                                                        String queryId,
                                                                                        String serviceName,
                                                                                        String format)
                                                                                 throws ApiException

      Returns details about the query. Returns details about the query. Not all queries have details, check the detailsAvailable field from the getQueries response. <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `queryId` - The queryId to get information about (required)
        `serviceName` - (required)
        `format` - There are two valid format parameters: <ul> <li> 'text': this is a text based, human readable representation of the Impala runtime profile. </li> <li> 'thrift_encoded': this a compact-thrift, base64 encoded representation of the Impala RuntimeProfile.thrift object. See the Impala documentation for more details. </li> </ul> (optional, default to text)
      Returns:
        ApiResponse<ApiImpalaQueryDetailsResponse>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getQueryDetailsAsync

          public com.squareup.okhttp.Call getQueryDetailsAsync(String clusterName,
                                                               String queryId,
                                                               String serviceName,
                                                               String format,
                                                               ApiCallback<ApiImpalaQueryDetailsResponse> callback)
                                                        throws ApiException

      Returns details about the query. (asynchronously) Returns details about the query. Not all queries have details, check the detailsAvailable field from the getQueries response. <p> Available since API v4.
      Parameters:
        `clusterName` - (required)
        `queryId` - The queryId to get information about (required)
        `serviceName` - (required)
        `format` - There are two valid format parameters: <ul> <li> 'text': this is a text based, human readable representation of the Impala runtime profile. </li> <li> 'thrift_encoded': this a compact-thrift, base64 encoded representation of the Impala RuntimeProfile.thrift object. See the Impala documentation for more details. </li> </ul> (optional, default to text)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.